Summary:	Core Rules for mod_security
Name:		apache-mod_security-crs
Version:	2.2.6
Release:	%mkrel 2
License:	ASL 2.0
Group:		System/Servers
URL:		http://www.modsecurity.org/
# https://github.com/SpiderLabs/owasp-modsecurity-crs/tarball/master
Source0:	SpiderLabs-owasp-modsecurity-crs-v2.2.6-24-g9004bde.tar.gz
Requires:	apache-mod_security >= 2.7.0
BuildArch:	noarch

%description
This package provides the base rules for mod_security.

%package extras
Summary:    Additional mod_security rules 
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description    extras
This package provides supplementary rules for mod_security.

%prep

%setup -q -n SpiderLabs-owasp-modsecurity-crs-9004bde

%build

%install
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d

install -d %{buildroot}%{_prefix}/lib/modsecurity.d/base_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/optional_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/experimental_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/slr_rules

install -m 644 modsecurity_crs_10_setup.conf.example \
    %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/modsecurity_crs_10_config.conf
install -m 644 base_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/base_rules/
install -m 644 optional_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/optional_rules/
install -m 644 experimental_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/experimental_rules/
install -m 644 slr_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/slr_rules

# activate base_rules
for f in `ls %{buildroot}/%{_prefix}/lib/modsecurity.d/base_rules/` ; do 
    ln -s %{_prefix}/lib/modsecurity.d/base_rules/$f \
        %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/$f; 
done

%files
%doc CHANGELOG INSTALL LICENSE README*
%config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity.d/*
%{_prefix}/lib/modsecurity.d/base_rules

%files extras
%{_prefix}/lib/modsecurity.d/optional_rules
%{_prefix}/lib/modsecurity.d/experimental_rules
%{_prefix}/lib/modsecurity.d/slr_rules


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 345864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 oden <oden> 2.2.6-1.mga3
+ Revision: 334178
- 2.2.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 2.2.5-1.mga3
+ Revision: 283933
- imported package apache-mod_security-crs

